Subject: bug#26593: Icecat 52 crashing in file dialogues

From: Clément Lassieur <[email-masked]>
Date: Sat, 22 Apr 2017 09:49:32 +0200

Pjotr Prins <[email-masked]> writes:

> On Fri, Apr 21, 2017 at 08:03:51PM +0200, Clément Lassieur wrote:
>> ng0 <[email-masked]> writes:
>> 
>> > Hi,
>> >
>> > has someone else experienced crashes since the icecat update?
>> >
>> > My system state isn't that old, but a week older than my profile state.
>> > File dialgues (save file) cause random crashes, Open file dialogues (change profile picture, etc) cause reproducible crashes all the time.
>> 
>> Yes, I did experience the same thing.  I wrote a small patch that fixes
>> it, see https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26593.
>> 
>> I'm not a GTK expert, there might be a cleaner way deal with
>> XDG_DATA_DIRS.
>
> Looks like we can use similar wrappers for all GTK tools, including
> gnumeric, geeqie, gnucash etc. Those are the ones that crash on me
> without XDG_DATA_DIRS. At this point I use alias on my Debian based
> system:
>
> alias gnucash='env XDG_DATA_DIRS=/usr/local/share:/usr/share gnucash'
> alias gnumeric='env XDG_DATA_DIRS=/usr/local/share:/usr/share gnumeric'

There is also a 'glib-or-gtk-build-system' (extension of
'gnu-build-system'), that does some more advanced wrapping.  For some
reason, I couldn't get it to work, but if that is the cleaner way, I
could try to dig into it.